Yahoo! Messenger “YMMAPI” ActiveX vezérlőn keresztüli távoli kód futtatási sebezhetőség

CH azonosító

CH-282

Felfedezés dátuma

2006.12.14.

Súlyosság

Magas

Érintett rendszerek

Messenger
Yahoo!

Érintett verziók

Yahoo! Messenger 5.x - 8.x

Összefoglaló

A Yahoo! Messenger egy olyan sebezhetőségét jelentették, melyet rosszindulatú támadók kiaknázhatnak a felhasználó rendszerének feltörésére.

Leírás

A Yahoo! Messenger egy olyan sebezhetőségét jelentették, melyet rosszindulatú támadók kiaknázhatnak a felhasználó rendszerének feltörésére.

A hibát az “YMMAPI.YMailAttach” ActiveX vezérlő (ymmapi.dll) puffer túlcsordulásos hibája okozza, bizonyos eljárásoknak átadott, rosszul megformázott argumentumok feldolgozásakor. Ezt tudják felhasználni a távoli támadók tetszőleges parancsok lefuttatására akkor, amikor a megtévesztett felhasználó ellátogat az erre a célra készített weboldalra.

A sérülékenységet a 7.5. és a 8.0. verzióban jelentették. Más verziók is érintettek lehetnek.

Megoldás

Frissítsen a legújabb verzióra